<?php header('Content-type: text/html; charset=utf-8'); 

  // load viewer library
  $libraryPath = 'cms/lib/viewer_functions.php';
  $dirsToCheck = array('/home/gulten/public_html/','','../','../../','../../../');
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); }
  
  if (!defined('START_SESSION')) {define('START_SESSION', true); } // keeps $_SESSION inplace
  
 include 'include/functions.php';
 include 'include/Cart.class.php'; // include if it is AJAX
$cart = new Cart('cart');
$wishlist = new Cart('wishlist');
$cart_contents = $cart->getCart(); // get cart items 

// load wishlist from record
if($CURRENT_USER) {
$list = explode(",",$CURRENT_USER['wishlist'],-1);
			foreach ($list as $list_item){
$item0 = explode('|',$list_item);
$item = array('id'=>$item0[0],'qty'=>$item0[1]);
$wishlist->mergeItem($item);
			}
			$list = explode(",",$CURRENT_USER['cart'],-1);
			foreach ($list as $list_item){
$item0 = explode('|',$list_item);
$item = array('id'=>$item0[0],'qty'=>$item0[1]);
$cart->mergeItem($item);
			}
			} // end load lists 
  
   // load record from 'settings'
  list($settingsRecords, $settingsMetaData) = getRecords(array(
    'tableName'   => 'settings',
    'where'       => "`num` = '1'",
    'loadUploads' => false,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $settingsRecord = @$settingsRecords[0]; // get first record

// load records from 'blog'
$where="";
if (@$_REQUEST['cat']) {$where = "category=". $_REQUEST['cat'];}
  list($blogRecords, $blogMetaData) = getRecords(array(
    'tableName'   => 'blog',
    'loadUploads' => true,
    'allowSearch' => false,
	'where'       => $where
  ));

  
   // load records from 'blog_categories'
  list($blog_categoriesRecords, $blog_categoriesMetaData) = getRecords(array(
    'tableName'   => 'blog_categories',
    'loadUploads' => true,
    'allowSearch' => false,
  ));
  

?>


<!DOCTYPE HTML>
<html>
<head>
<meta charset="UTF-8">
<title><?= htmlencode($settingsRecord['title']) ?> - BLOG</title>
<meta name="description" content="<?php echo htmlencode($settingsRecord['seo_description']) ?>">
<meta name="keywords" content="<?php echo htmlencode($settingsRecord['seo_keywords']) ?>">
<? wsc_comments_showCssLinkTag('gultenblog.css'); ?>
<link href="css/main.css" rel="stylesheet" type="text/css">
<style type="text/css">
.blog_content {
	padding-top: 10px;
	padding-left: 0px;
	width: 600px;
	margin-top: 30px;
	margin-left: 300px;
	font-size: 14px;
}
.blog_content .date {
	font-style: italic;
	color: #999;
	padding-bottom: 20px;
	padding-left: 20px;
	font-size: 12px;
}
.blog_sidebar {
	float: left;
	width: 240px;
	margin-top: 40px;
	padding-left: 40px;
}
.summery {
	font-size: 14px;
	font-style: normal;
	font-weight: bold;
	padding-bottom: 10px;
}
.item_picture {
	padding-top: 10px;
	padding-bottom: 20px;
	padding-left: 20px;
}
.item_picture img {
	/* [disabled]padding-top: 10px; */
	/* [disabled]padding-bottom: 20px; */
	/* [disabled]padding-left: 20px; */
	box-shadow: 3px 5px 8px rgba(0,0,0, .15);
	border-radius: 5px;
}
</style>
<script src="Scripts/jquery.tools.1.2.7.js"></script>
<script src="Scripts/jquery.expander.min.js"></script>
</head>

<body>
 <? include 'include/header.php' ?>
<div class="container">
  
  <div class="content">
<div class="headline1">
        <h1>BLOG</h1>
</div>
<div class="blog_sidebar">
  <p>CATEGORIES  </p>
  <p><a href="?">ALL</a> (<?= $count = mysql_count("blog", "");?>)</p>
  <?php foreach ($blog_categoriesRecords as $record): 
    $count = mysql_count("blog", "`category` = '".$record['num']."'");
	if(@$count): ?> 
     <p><a href="?cat=<?= $record['num'] ?>"><?php echo htmlencode($record['title']) ?></a> (<?= $count?>)</p>
     
    <?php endif;endforeach ?>
</div>

<div class="blog_content">
<?php $i=0; foreach ($blogRecords as $record): $i++; ?>
     
      
      <div class="headline1"><?php echo htmlencode($record['title']) ?></div>
      <div class="date"><a href="?cat=<?= $record['category'] ?>"><?= $record['category:label'] ?></a> - <?php echo date("M jS, Y", strtotime($record['date'])) ?></div>
      <? if(@$record['summery']): ?><div class="summery"><?php echo br($record['summery']); ?></div><? endif ?>
       
       <? if(@$record['item_picture']): 
  $where = 'num = '.@$record['item_picture'];   
  list($itemsRecords, $itemsMetaData) = getRecords(array(
    'tableName'   => 'items',
    'where'       => $where, // load first record
    'loadUploads' => true,
    'allowSearch' => false,
  ));
  $itemsRecord = @$itemsRecords[0];
 ?>  
  <div class="item_picture"> 
           <? foreach ($itemsRecord['picture'] as $index => $upload): ?>
          <?php if ($index >= 1) { continue; } // limit uploads shown ?>
          <a href="item.php?item=<?= $itemsRecord['item_number'] ?>" > <img src="<?php echo $upload['thumbUrlPath2'] ?>" width="<?php echo $upload['thumbWidth2'] ?>" height="<?php echo $upload['thumbHeight2'] ?>" alt="" /></a><br/>
        <?php endforeach ?>    
 </div>
 <? endif ?>      
       
       <div class="<? if(@$i>2): ?>expandable<? endif?>">
         <?php echo br($record['content']); ?>
      </div><br/>
      
      <!-- DISPLAY COMMENTS -->
<?php

  wsc_comments(array(
    'tableOrTag' => 'blog',    // Section these comments are associated with, such as: "articles", "blog", "about_us".
    'recordNum'  => $record['num'],            // Record num these comments are associated with, such as: $record['num'] or 1
    'themeName'  => 'gultenblog',                 // HTML theme to display comments with, from /plugins/websiteComments/themes
    'pageName'   => $record['title'],           // Page name displayed in comment notification emails, such as: $record['title'] or "Custom Text"
    'pageUrl'    => realurl('http://gultendye.com/blog1.php'), // Page URL displayed in comment notification emails, such as realurl($record['_link'])
  ));

?>
<!-- /DISPLAY COMMENTS -->
      <hr/>
    <?php endforeach ?>
</div>
      
 <br class="clearfloat" />        
<!-- end .content --></div>
<!-- end .container --></div>
<? include 'include/footer.php' ?>  

</body>

<script type="text/javascript">
$(document).ready(function() {
  // simple example, using all default options unless overridden globally
  
  $('div.expandable').expander({
    slicePoint:       400,  // default is 100
    expandPrefix:     '... ', // default is '... '
    expandText:       'read more', // default is 'read more'
    collapseTimer:    0, // re-collapses after 5 seconds; default is 0, so no re-collapsing
    userCollapseText: 'read less'  // default is 'read less'
  });

});
	  </script>
/html>
